Route (id)Ask AIpatch https://customer_id.prod.smartlane.io/api/route/{route_id}Edits the route information. Currently used for updating the status. Soon to be replaced by dedicated endpoints.Path Paramsroute_idint32requiredRoute IDBody Paramsidint32creationtimedate-timeastdate-timeActual start timetst_fromdate-timeTarget start time span (beginning).tst_todate-timeTarget start time span (end).distanceint32Complete length of route in metersm.gross_durationint32Duration of the whole route in seconds, including stop times at each location.net_durationint32Duration of the whole route in seconds, not including stop times and waiting times. Depecated.total_driving_timeint32Driving time of the whole route in seconds.statusint32deliveriesarray of objectsdeliveriesADD objectcustom_idstringprevious_deliveriesarray of int32sWhen deliveries are removed or changed, their IDs are saved here.previous_deliveriesADD int32pstdate-timeDeprecated. Planned start time.replacesint32Reference IDs to previous versions, when the route is updated.routebase_address_idint32Reference to address.finished_deliveriesint32Deliveries which are already finished (i.e. delivered or cancelled).fixed_costdoubleFixed vehicle usage cost of this route.initial_creationtimedate-timeTime of first creation of this route.lockedbooleanDefaults to falseHas this route been locked by the user to avoid automatic updates?truefalseperformed_breaksobjectA list of rest break items.performed_breaks objectremaining_timeint32If the route was updated while being on the way, this is the remaining time to be performed.return_timedate-timeReturn time to the depot or (if no round trip, end time of the last stop).roundtripbooleanDefaults to falseDoes this route return to the depot?truefalsetotal_costdoubleSum of all costs.total_deliveriesint32Total number of deliveries on this route.total_driving_time_secondsint32Total driving time of this route in seconds.total_loadint32Total load volume on this vehicle (first load dimension).total_load_2int32Total load volume on this vehicle (second load dimension).total_load_3int32Total load volume on this vehicle (third load dimension).total_loadsarray of int32sTotal load volume on this vehicle (list of all load dimensions).total_loadsADD int32total_stop_timeint32Sum of all stop times at each delivery location (in minutes).total_waiting_timeint32Sum of all waiting times before each delivery location (in minutes).total_waiting_time_secondsint32Sum of all waiting times before each delivery location (in seconds).tour_delayint32Total delay on this route in minutes.variable_costdoubleVariable cost per km of this route.vehiclestringVehicle type which performs this route.vehicle_idint32ID of the vehicle that performs this route.vehicle_territory_namesarray of stringsNames of territories that are assigned to the route's vehicle.vehicle_territory_namesADD stringwaiting_costdoubleWaiting cost on this route.end_location_idint32ID of the vehicle end location that performs this route.Responses 200Detailed route data 422An error message caused by unprocessable input (e.g. no data found for input parameters) defaultUnexpected error.Updated 7 months ago